### Method

# Nautilus FileInfo get_mount

#### Declaration [src]

    GMount*
    nautilus_file_info_get_mount (
      NautilusFileInfo* file_info
    )

#### Description [src]

Gets the cached mount.

This only returns the `GMount` if Nautilus has already cached it. The return value may be `NULL` even if the `NautilusFileInfo` has a corresponding mount in which case you can call `g_file_find_enclosing_mount_async()`.

#### Return value

Type: `GMount`

The mount of `file_info`, or `NULL` if `file_info` has no mount.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.